'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './index.less';
import { _asyncThrottle, _throttle } from '../../utils/utils.ts';
import { ModalCtrl } from '@/core/ctrls/ModalCtrl';
import store from "@/store/store.js";
import { PageCtrl } from "@/core/ctrls/PageCtrl";
import HomePage from '@/pages/HomePage/HomePage.tsx';
//礼包动效弹窗
@observer
class GiftPackPopup extends React.Component {
    constructor(props) {
        super(props);
    }

    //关闭
    onClose = () => {
        ModalCtrl.closeModal();
    }

    //抽奖
    onDraw = ()=>{

    }

    render() {
        return (
            <div className="GiftPackPopup">
                <div className="gpp_mask" onClick={()=>this.onClose()}></div>
                <div className='gpp_icon'></div>
            </div>
        );
    }
};

export default GiftPackPopup;